<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$formname = 'Product';
$maindb = 'product';
$trandb = 'prodsub';

$file = 'product.php';
$grid = '';
$keyfld = "code";
$printfile = 'product_fr.php';
$trandbexist = 0;
$focusfld = "name";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$adduser = $_SESSION['username_' . $dbname];
date_default_timezone_set("Asia/Kolkata");
$adddate = date("Y-m-d");
$addtime = date("h:i:sa");

mysqli_select_db($conn, $zdb);
include("includes/vouchno_generate.php");
include("includes/prev&next.php");

if (isset($_POST["submit"])) {

    $a = 1;

    $qvouch = $_POST["code"];

    $prodcode = trim($_POST["prodcode"]);
    $name = trim($_POST["name"]);

    $gram = trim($_POST["gram"]);
    $packing = trim($_POST["packing"]);
    $colour = trim($_POST["colour"]);
    $barcode = $_POST["barcode"];

    $unit = trim($_POST["unit"]);
    $prodgrp = trim($_POST["prodgrp"]);
    $hsncode = trim($_POST["hsncode"]);
    $gstperc = trim($_POST["gstperc"]);

    $cost = trim($_POST["cost"]);
    $sellprice = trim($_POST["rate"]);
    $mrp = trim($_POST["mrp"]);
    $msp = trim($_POST["msp"]);
    $cartqty = trim($_POST["cartqty"]);
    $type = trim($_POST["type"]);
    $approxkg = trim($_POST["approxkg"]);
    $phytest = trim($_POST["phytest"]);
    $nametoprint = trim($_POST["nametoprint"]);
    $miniqty = $_POST["miniqty"];
    $pkg = $_POST["pkg"];
    $image = $_POST["image"];

    $count = $_POST["items"];
    $count2 = $_POST["items2"];
    $mvouch = $qvouch;

    if (empty($name)) {
        browse("Name Cannot Be Empty");
        $a = 0;
    }

    if (isset($_POST["name"])) {
        $result = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE  `name` = '$name' and `code` != '$qvouch'") or die(mysqli_error($conn));
        if (mysqli_num_rows($result) > 0) {
            $a = 0;
            browse("Name Already Exist");
            header("refresh: 1; $file?code=$qvouch&mode=last");
        }
    }

    if ($a == 1) {
        if ($addflag == 1) {
            $gen1 = mysqli_query($conn, "SELECT MAX($keyfld) AS maxcode FROM `$maindb` where code != '' $keycond LIMIT 0,1 ") or die(mysqli_error($conn));
            if (mysqli_num_rows($gen1) > 0) {
                $vvouch = mysqli_fetch_assoc($gen1);
                $qvouch = $vvouch["maxcode"] + 1;
            } else {
                $qvouch = '1';
            }
            $mvouch = $qvouch;
        }

        $path = "images/Products/";

        #####################IMAGE#####################
        $filename1 = $mvouch . ".jpg";
        $img_file1 = $path . ($filename1);
        $image_ftype = pathinfo($img_file1, PATHINFO_EXTENSION);
        $size = $_FILES['image']['size'];

        if ($size < 30000000000000) {
            move_uploaded_file($_FILES["image"]["tmp_name"], $img_file1);
        } else {
            browse("Image size Should be less then 300kb try again upload image");
            header("refresh: 1; $file?mode=last");
        }

        mysqli_query($conn, "LOCK TABLES `$maindb` WRITE, `$trandb` WRITE");

        if ($addflag == 1) {
            mysqli_query($conn, "INSERT INTO `$maindb`(`code`, `prodcode`, `name`, `gram`, `packing`, `colour`, `barcode`, `unit`, `prodgrp`, `hsncode`,
                                                       `gstperc`, `cost`, `rate`, `nametoprint`,`mrp`, `msp`, `type`,`cartqty`, `adduser`, `adddate`, `addtime`,
                                                       `miniqty`, `image`,`pkg`)
                           VALUES('$qvouch', '$prodcode', '$name', '$gram', '$packing', '$colour', '$barcode', '$unit', '1',
                                  '$hsncode', '$gstperc', '$cost', '$sellprice', '$nametoprint','$mrp', '$msp', '$type', '$cartqty', '$adduser', '$adddate', '$addtime',
                                  '$miniqty', '$img_file1', '$pkg')") or die(mysqli_error($conn));
            insmess();
            $mvouch = $qvouch;
            header("refresh: 1; $file?$keyfld=$mvouch&mode=edit");
        } else {
            $mvouch = $qvouch;

            $editdate = date("Y-m-d");
            $edittime = date("h:i:sa");
            mysqli_query($conn, "UPDATE `$maindb` SET  `prodcode`='$prodcode', `name`='$name', `gram`='$gram', `packing`='$packing', `colour`='$colour',
                                               `barcode`='$barcode', `unit`='$unit', `prodgrp`='1', `hsncode`='$hsncode', `gstperc`='$gstperc',
                                               `cost`='$cost', `rate`='$sellprice', `nametoprint`='$nametoprint',`mrp`='$mrp', `msp`='$msp',
                                               `type`='$type', `cartqty`='$cartqty', `edituser`='$adduser', `editdate`='$editdate', `edittime`='$edittime',
                                               `miniqty`='$miniqty', `image`='$img_file1', `pkg`='$pkg'  WHERE code = '$mvouch' ") or die(mysqli_error($conn));

            updmess();
            header("refresh: 1; $file?$keyfld=$mvouch&mode=edit");
        }



        mysqli_query($conn, "DELETE FROM `$trandb` WHERE code='$qvouch' ") or die(mysqli_error($conn));

        $cnt = 0;
        $cntamt = 0;
        for ($i = 0; $i <= $count; $i++) {
            $cnt++;
            $msrno = $_POST["srno_$i"];
            $supcode = $_POST["supcode_$i"];
            $suptype = $_POST["suptype_$i"];
            $cost = $_POST["cost_$i"];
            $trdate = $_POST["trdate_$i"];

            if ($supcode != '') {
                mysqli_query($conn, "INSERT INTO `$trandb`(`srno`, code, `supcode`, `suptype`, `trdate`) 
                                    VALUES('$cnt', '$qvouch', '$supcode', '$suptype', '$trdate')") or die(mysqli_error($conn));
            }
        }

        mysqli_query($conn, "UNLOCK TABLES");
    }
}
if ($addflag != 1) {
    $getvouch = '';

    if ($addflag == 0) {
        $getvouch = $_GET[$keyfld];
    } else {
        $getvouch = $qvouch;
    }
    $result = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE $keyfld='$getvouch'") or die(mysqli_error($conn));
    $get = mysqli_fetch_array($result);

    $rd = "readonly";

    $gpgrp = mysqli_query($conn, "SELECT * FROM `prodgrp` WHERE code='1'") or die(mysqli_error($conn));
    $fprodgrp = mysqli_fetch_array($gpgrp);
} else {
    $result2 = mysqli_query($conn, "SELECT * FROM `$maindb` ORDER BY $keyfld desc limit 0,1") or die(mysqli_error($conn));
    if (!empty($result2)) {
        $get2 = mysqli_fetch_array($result2);
    }
}

$senable = "";
$cenable = "";
if (isset($_GET["delete"])) {
    $chkresult = mysqli_query($conn, "SELECT itemcode FROM `transacn` WHERE itemcode='$_GET[$keyfld]'") or die(mysqli_error($conn));
    $fetget = mysqli_num_rows($chkresult);
    if ($fetget > 0) {
        browse('Item Exist in Transaction');
        header("refresh: 1; $file?$keyfld=$_GET[$keyfld]&mode=edit");
    } else {
        delete($zdb, "$maindb", "$keyfld", $_GET[$keyfld], "$file?mode=last");
        delete($zdb, "$trandb", "$keyfld", $_GET[$keyfld], "$file?mode=last");
    }
}
$versionToken = mt_rand();
include("includes/linkshead.php");
?>

<script src="MyScript/product.js?a<?= mt_rand() ?>" type="text/javascript"></script>
<script src="MyScript/product_search.js" type="text/javascript"></script>
</head>

<body>
    <form method='POST' enctype="multipart/form-data">

        <!-- Default box -->

        <div class="row">
            <div class="col-lg-5 pad">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h3 class="panel-title"><?php echo $formname; ?></h3>
                    </div>

                    <div class="panel-body">
                        <div class="row">
                            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 numeric text-right  pad">
                                <label class="label-control marg">Barcode</label>
                            </div>
                            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 pad">
                                <input type="text" class="form-control form barcode focusfield" name="barcode" value="<?php echo ($addflag != 1) ? $get["barcode"] : ""; ?>" required <?= $rd ?>>
                                <input type="hidden" class="form-control form code" name="code" value="<?php echo ($addflag != 1) ? $get["code"] : "$qvouch"; ?>">
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 numeric text-right  pad">
                                <label class="label-control marg">Name</label>
                            </div>
                            <div class="col-lg-6 col-md-6 col-sm-8 col-xs-8 pad">
                                <input type="text" class="form-control form prodname " name="name" value="<?php echo ($addflag != 1) ? $get["name"] : ""; ?>" required>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 numeric text-right  pad">
                                <label class="label-control marg">Cost Price</label>
                            </div>
                            <div class="col-lg-3 col-md-3 col-sm-2 col-xs-6 pad">
                                <input type="text" class="form-control form text-right cost" name="cost" value="<?php echo ($addflag != 1) ? $get["cost"] : "0"; ?>">
                            </div>
                        </div>
                        
                        <div class="row">
                            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 numeric text-right  pad">
                                <label class="label-control marg">Selling Price</label>
                            </div>
                            <div class="col-lg-3 col-md-3 col-sm-2 col-xs-6 pad">
                                <input type="text" class="form-control form rate text-right" name="rate" value="<?php echo ($addflag != 1) ? $get["rate"] : "0"; ?>">
                            </div>
                        </div>

                        <!-- <div class="row">
                            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 numeric text-right  pad">
                                <label class="label-control marg">Unit</label>
                            </div>
                            <div class="col-lg-3 col-md-3 col-sm-2 col-xs-6 pad">
                                <input type="text" class="form-control form unit" name="unit" value="<?php echo ($addflag != 1) ? $get["unit"] : "PCS."; ?>" required>
                            </div>
                        </div> -->
                        <!--                        <div class="row">
                            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 numeric text-right  pad">
                                <label class="label-control marg">Minimum Qty</label>
                            </div>
                            <div class="col-lg-3 col-md-6 col-sm-8 col-xs-8 pad">
                                <input type="text" class="form-control form miniqty text-right" name="miniqty" value="<?php echo ($addflag != 1) ? $get["miniqty"] : ""; ?>">
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 numeric text-right  pad">
                                <label class="label-control marg">HSN Code</label>
                            </div>
                            <div class="col-lg-3 col-md-6 col-sm-8 col-xs-8 pad">
                                <input type="text" class="form-control form hsncode" name="hsncode" value="<?php echo ($addflag != 1) ? $get["hsncode"] : ""; ?>">
                            </div>
                        </div>-->

                        <div class="row">
                            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 numeric text-right  pad">
                                <label class="label-control marg">Packing Per Carton</label>
                            </div>
                            <div class="col-lg-3 col-md-6 col-sm-8 col-xs-8 pad">
                                <input type="text" class="form-control text-right form pkg" name="pkg" value="<?php echo ($addflag != 1) ? $get["pkg"] : ""; ?>" required>
                            </div>
                        </div>

                        <!-- <div class="row">
                            <div class="col-lg-3 col-md-3 col-sm-4 col-xs-4 numeric text-right pad">
                                <label class="label-control text-danger marg">No. Of Labels</label>
                            </div>
                            <div class="col-lg-2 col-md-3 col-sm-3 col-xs-3 pad">
                                <input type='text' id="nolabel" name='nolabel' maxlength="4" class='form-control' style='width:70px;' <?php echo ($addflag != 1) ? '' : 'readonly'; ?>>
                            </div>
                            <div class="col-lg-2 col-md-3 col-sm-3 col-xs-3">
                                <button <?php // if ($addflag != 1) { ?> onclick="window.open('thermal_barcode3.php?barcode=<?= $qvouch ?>&para=1&number=' + document.getElementById('nolabel').value, 'popUpWindow', 'height=600,width=970,left=20,top=20, resizable=yes,scrollbars=yes,toolbar=yes,menubar=no,location=no,directories=no, status=yes');" <?php
//                                 } else {
//                              echo "disabled";
//                                }
                                  ?> class="btn" >
                                <i class="fa fa-barcode" style="font-size:20px"></i></button>
                            </div>
                        </div> -->
                    </div>

                </div>

                <div class="panel-footer">
                    <?php include("includes/buttons.php"); ?>
                </div>
            </div>

            <!-- <div class="col-lg-6 pad">
                <div class="panel panel-default">

                    <div class="panel-body">
                        <div class='table-responsive'>
                            <table class="table table-striped table-condensed table-bordered" width="100%">
                                <thead class="mySearchTr">
                                    <tr>
                                        <th style="width: 2%"></th>
                                        <th style="width: 5%;text-align: center;">Sr.</th>
                                        <th style="width: 15%;">Supplier</th>
                                        <th style="width: 10%;">Type</th>
                                        <th style="width: 10%;text-align: right;">Cost</th>
                                        <th style="width: 10%">Date</th>
                                    </tr>
                                </thead>
                                <tbody id="tabledata">
            <?php
            if ($addflag != 1) {
                $ctr = 0;
                $gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE `code` = '$get[code]' ORDER BY `srno`") or die(mysqli_error($conn));

                while ($tran = mysqli_fetch_array($gettran)) {

                    $findsup = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`='$tran[supcode]'") or die(mysqli_error($conn));
                    $fsup = mysqli_fetch_array($findsup);

                    echo "<tr>";
                    echo "<td align='center' valign='top'><span class='remove fa fa-times ' name='remove' value='remove' style='display:none;'></span></td>";
                    echo "<td><input type='text' value='$tran[srno]'  name='srno_$ctr'  class='form-control form text-right' style='text-align:center;' readonly></td>";

                    echo "<td>";
                    echo "<select class='form-control form supcode select2 fetchpart_$ctr' name='supcode_$ctr' style='width:100%'>";
                    echo "<option value='$fsup[accode]'>$fsup[name]</option>";
                    $gitem = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE grpcode = '009' order by name") or die(mysqli_error($conn));
                    while ($item = mysqli_fetch_array($gitem)) {
                        echo "<option value='$item[accode]'>$item[name]</option>";
                    }
                    echo "</select>";
                    echo "</td>";

                    echo "<td>";
                    echo "<input type='text' value='$tran[suptype]' name='suptype_$ctr' class='form-control form suptype' readonly>";
                    echo "</td>";
                    echo "<td>";
                    echo "<input type='number' value='$tran[cost]' name='cost_$ctr' class='form-control form cost' style='text-align:right;' >";
                    echo "</td>";
                    echo "<td>";
                    echo "<input type='date' value='$tran[trdate]' name='trdate_$ctr' class='form-control form trdate' >";
                    echo "</td>";
                    echo "</tr>";
                    $ctr++;
                }
            } else {
                $pctr = 0;
                $yctr = 0;
                $yctr++;
                echo "<tr>";
                echo "<td align='center'><span class='remove fa fa-times ' name='remove' value='remove' style=''></span></td>";
                echo "<td  align='left'><input type='text' size='6' maxlength='6' name='srno_$pctr' class='sno form-control form' style='text-align:center' value='$yctr' readonly></td>";

                echo "<td>";
                echo "<select class='form-control form supcode select2 fetchpart_$pctr' name='supcode_$pctr' style='width:100%'>";
                echo "<option value=''></option>";
                $gitem = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE grpcode = '009' order by name") or die(mysqli_error($conn));
                while ($item = mysqli_fetch_array($gitem)) {
                    echo "<option value='$item[accode]'>$item[name]</option>";
                }
                echo "</select>";
                echo "</td>";

                echo "<td align='center'><input type='text'   name='suptype_$pctr' class='suptype form-control form'  value='' readonly /></td>";
                echo "<td align='center'><input type='number' name='cost_$pctr' class='cost form-control form' style='text-align:right;' value='' /></td>";
                echo "<td align='center'><input type='date'   name='trdate_$pctr' class='trdate form-control form'  value='' /></td>";
                echo "</tr>";
                $pctr++;
            }
            ?>
                                </tbody>
                            </table>
                        </div>
                        <button type="button" class="btn btn-success btn-square form" id="addnew">
                            <i class="fa fa-plus" style="color:#ffffff" data-toggle='tooltip' title='Add Row'></i>
                        </button>
                        <input type="hidden" id="items" name="items" value="<?php echo ($addflag != 1) ? $ctr : 1; ?>" />
                        <br>
                        <div class="col-lg-6 col-md-2 col-sm-9 col-xs-9 text-right pad">
                            <div class="row">
                                <div class="col-lg-1 col-md-1 col-sm-4 col-xs-4 pad" style="padding-left: 40px;">
                                    <input type="file" class="btn btn-warning form image" name="image" id="image">
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-lg-1 col-md-1 col-sm-5 col-xs-5 pad" style="padding-left: 40px;">
                                    <img class="view1" src="<?php echo ($addflag != 1) ? $get['image'] . "?a=" . mt_rand() : "" ?>" style="border: #E7B315 solid 1px; width: 210px;height: 210px" alt="Image" />
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div> -->

        </div>
    </form>

    <div class="modal fade bs-example-modal-lg searchModal" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button class="close" data-dismiss="modal"><span>&times;</span></button>
                    <h4 class="modal-title" id="myLargeModalLabel">Search <? echo $formname; ?></h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-lg-2">
                            <select class="form-control sfield">
                                <option value="2">Name</option>
                                <option value="1">Code</option>
                                <option value="3">Packing</option>
                                <!--                                <option value="3">Grammage</option>
                                                                <option value="4">Packing</option>
                                                                <option value="5">Barcode</option>
                                                                <option value="6">GST %</option>-->
                            </select>
                        </div>
                        <div class="col-lg-2">
                            <select class="form-control soperator">
                                <option value="">Type of Search</option>
                                <option value="%">Like</option>
                                <option value="=">Exactly</option>
                            </select>
                        </div>
                        <div class="col-lg-2">
                            <select class="form-control sortBy">
                                <option value="">Sort By</option>
                                <option value="2">Name</option>
                                <option value="1">Code</option>
                                <option value="1">Packing</option>
                                <!--                                <option value="3">Grammage</option>
                                                                <option value="4">Packing</option>
                                                                <option value="5">Barcode</option>
                                                                <option value="6">GST %</option>-->
                            </select>
                        </div>
                        <div class="col-lg-2">
                            <select class="form-control orderAs">
                                <option value="asc">Asc</option>
                                <option value="desc">Desc</option>
                            </select>
                        </div>
                        <div class="col-lg-2">
                            <input type="text" value="" class="form-control ssearch" placeholder="Search Here">
                        </div>
                        <div class="col-lg-2">
                            <input type="button" class="btn btn-primary sload" value="Search">
                        </div>
                    </div>

                    <div class="col-lg-12 sloader text-center">
                        <!--<img src="images/search.gif" alt="loading">-->
                    </div>
                    <div class="col-lg-12 snoRecord text-center">
                        <h3>NO RECORDS FOUND</h3>
                    </div>
                    <div class="table-responsive" style="max-height: 400px;overflow: auto;">
                        <table id="" class="table table-striped table-condensed table-bordered" width="100%">
                            <thead>
                                <tr class="mySearchTr">
                                    <th width="7%">Barcode</th>
                                    <th width="30%">Name</th>
                                    <th width="10%" class="text-right">Packing Per Carton</th>
                                    <!-- <th width="10%">Cost</th> -->
                                    <!-- <th width="10%">Rate</th> -->
                                    <!--<th width="10%">Barcode</th>-->
                                    <!--<th width="10%">GST %</th>-->
                                    <th width="8%">Action</th>
                                </tr>
                            </thead>
                            <tbody class="sTbody">
                            </tbody>
                        </table>
                    </div>
                    <div class="row">
                        <div class="col-xs-12 text-right search-action-bar">
                            <input type="button" class="btn btn-primary sprev" value="Previous">
                            <input type="button" class="btn btn-primary snext" value="Next">
                        </div>
                    </div>
                </div>
                <div class="modal-footer"></div>
            </div>
        </div>
    </div>

    <?php include("includes/linksfoot.php"); ?>
</body>

</html>